Include attachment filename in "File added" email notification subject
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Currently attachments_added (for wiki, documents and files) mail notifications looks like this:

Subject: [PROJECT] New file

 I think this is too silent.  Attached patch adds the (first, if multiple files are added) filename in the subject of the mail.

Subject: [PROJECT] New file: FILENAME.doc and 3 files

Associated revisions

Revision 23148 - 2024-10-20 06:46 - Go MAEDA

Include attachment filename in "File added" email notification subject (#41450).

Patch by minoura makoto (user:minoura).

Revision 23149 - 2024-10-20 06:53 - Go MAEDA

Update locales (#41450).

History

#1 - 2024-10-09 01:10 - minoura makoto

Currently attachments_added (for wiki, documents and files) mail notifications looks like this:

 Correction: wiki attachments are not notified, sorry.

#2 - 2024-10-09 10:53 - Holger Just

I don't have a strong opinion on the general validity of this change.

Just one nitpick though: different languages have widely differing pluralization rules, most importantly for small numbers. Thus, rather than a single

label_attachment_count translation, we should use Rails pluralization features. See https://guides.rubyonrails.org/i18n.html#pluralization

An existing example of this could be the label_x_projects translation.

#3 - 2024-10-11 02:06 - minoura makoto

- File filename_in_subject_v2.diff added

Thank you for your comment.

Just one nitpick though: different languages have widely differing pluralization rules, ...

 You're right.  "FILE.pdf and 1 files" is not correct English, and I didn't know that notation.  I revised the patch.

#4 - 2024-10-19 04:40 - Go MAEDA
https://guides.rubyonrails.org/i18n.html#pluralization


- Target version set to 6.0.0

Setting the target version to 6.0.0.

#5 - 2024-10-20 06:51 - Go MAEDA

- Subject changed from Show the attachment filename in notification Email subject to Include attachment filename in "File added" email notification

subject

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

I have committed the patch in r23148. Thank you for your contribution.

I made a change to the Japanese translation of "label_attachment_count" for ":other" count, updating it from  "他%{count}件" to "ほか%{count}件". This

change follows the Japanese government's recommendation to use the kana "ほか" instead of the kanji "他" in this context, particularly in official

documents, as described in Cabinet public notice 公用文における漢字使用等について issued in 2010.

#6 - 2024-10-20 06:53 - Go MAEDA

- Status changed from Resolved to Closed

#7 - 2024-10-21 11:28 - minoura makoto

Thank you, Maeda-san!

Files

filename_in_subject.diff 2.19 KB 2024-10-08 minoura makoto

filename_in_subject_v2.diff 2.2 KB 2024-10-11 minoura makoto
